import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare const cliOptionsTypes: () => Record<string, unknown>;
export declare const shorthands: Record<string, string>;
export declare const commandNames: string[];
export declare function help(): string;
export type InstallCommandOptions = Pick<Config, 'allProjects' | 'autoInstallPeers' | 'bail' | 'bin' | 'catalogs' | 'cliOptions' | 'configDependencies' | 'dedupeInjectedDeps' | 'dedupeDirectDeps' | 'dedupePeerDependents' | 'deployAllFiles' | 'depth' | 'dev' | 'engineStrict' | 'excludeLinksFromLockfile' | 'frozenLockfile' | 'global' | 'globalPnpmfile' | 'hooks' | 'ignorePnpmfile' | 'ignoreScripts' | 'injectWorkspacePackages' | 'linkWorkspacePackages' | 'rawLocalConfig' | 'lockfileDir' | 'lockfileOnly' | 'modulesDir' | 'nodeLinker' | 'patchedDependencies' | 'pnpmfile' | 'preferFrozenLockfile' | 'preferWorkspacePackages' | 'production' | 'registries' | 'rootProjectManifest' | 'rootProjectManifestDir' | 'save' | 'saveDev' | 'saveExact' | 'saveOptional' | 'savePeer' | 'savePrefix' | 'saveProd' | 'saveWorkspaceProtocol' | 'lockfileIncludeTarballUrl' | 'allProjectsGraph' | 'selectedProjectsGraph' | 'sideEffectsCache' | 'sideEffectsCacheReadonly' | 'sort' | 'sharedWorkspaceLockfile' | 'tag' | 'onlyBuiltDependencies' | 'optional' | 'virtualStoreDir' | 'workspaceConcurrency' | 'workspaceDir' | 'workspacePackagePatterns' | 'extraEnv' | 'resolutionMode' | 'ignoreWorkspaceCycles' | 'disallowWorkspaceCycles' | 'updateConfig'> & CreateStoreControllerOptions & {
    argv: {
        original: string[];
    };
    fixLockfile?: boolean;
    frozenLockfileIfExists?: boolean;
    useBetaCli?: boolean;
    pruneDirectDependencies?: boolean;
    pruneLockfileImporters?: boolean;
    pruneStore?: boolean;
    recursive?: boolean;
    resolutionOnly?: boolean;
    saveLockfile?: boolean;
    workspace?: boolean;
    includeOnlyPackageFiles?: boolean;
    confirmModulesPurge?: boolean;
} & Partial<Pick<Config, 'modulesCacheMaxAge' | 'pnpmHomeDir' | 'preferWorkspacePackages' | 'useLockfile' | 'symlink'>>;
export declare function handler(opts: InstallCommandOptions): Promise<void>;
