import { type Config } from '@pnpm/config';
import { type LockfileObject } from '@pnpm/lockfile.types';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { type IncludedDependencies, type PrepareExecutionEnv } from '@pnpm/types';
export type InstallDepsOptions = Pick<Config, 'allProjects' | 'allProjectsGraph' | 'autoInstallPeers' | 'bail' | 'bin' | 'catalogs' | 'cliOptions' | 'dedupePeerDependents' | 'depth' | 'dev' | 'engineStrict' | 'excludeLinksFromLockfile' | 'global' | 'globalPnpmfile' | 'hooks' | 'ignoreCurrentSpecifiers' | 'ignorePnpmfile' | 'ignoreScripts' | 'optimisticRepeatInstall' | 'linkWorkspacePackages' | 'lockfileDir' | 'lockfileOnly' | 'pnpmfile' | 'production' | 'preferWorkspacePackages' | 'rawLocalConfig' | 'registries' | 'rootProjectManifestDir' | 'rootProjectManifest' | 'save' | 'saveDev' | 'saveExact' | 'saveOptional' | 'savePeer' | 'savePrefix' | 'saveProd' | 'saveWorkspaceProtocol' | 'lockfileIncludeTarballUrl' | 'scriptsPrependNodePath' | 'scriptShell' | 'selectedProjectsGraph' | 'sideEffectsCache' | 'sideEffectsCacheReadonly' | 'sort' | 'sharedWorkspaceLockfile' | 'shellEmulator' | 'tag' | 'optional' | 'workspaceConcurrency' | 'workspaceDir' | 'workspacePackagePatterns' | 'extraEnv' | 'ignoreWorkspaceCycles' | 'disallowWorkspaceCycles' | 'configDependencies' | 'updateConfig'> & CreateStoreControllerOptions & {
    argv: {
        original: string[];
    };
    allowNew?: boolean;
    forceFullResolution?: boolean;
    frozenLockfileIfExists?: boolean;
    include?: IncludedDependencies;
    includeDirect?: IncludedDependencies;
    latest?: boolean;
    /**
     * If specified, the installation will only be performed for comparison of the
     * wanted lockfile. The wanted lockfile will not be updated on disk and no
     * modules will be linked.
     *
     * The given callback is passed the wanted lockfile before installation and
     * after. This allows functions to reasonably determine whether the wanted
     * lockfile will change on disk after installation. The lockfile arguments
     * passed to this callback should not be mutated.
     */
    lockfileCheck?: (prev: LockfileObject, next: LockfileObject) => void;
    update?: boolean;
    updateToLatest?: boolean;
    updateMatching?: (pkgName: string) => boolean;
    updatePackageManifest?: boolean;
    useBetaCli?: boolean;
    recursive?: boolean;
    dedupe?: boolean;
    workspace?: boolean;
    includeOnlyPackageFiles?: boolean;
    prepareExecutionEnv: PrepareExecutionEnv;
    fetchFullMetadata?: boolean;
    pruneLockfileImporters?: boolean;
} & Partial<Pick<Config, 'pnpmHomeDir' | 'strictDepBuilds'>>;
export declare function installDeps(opts: InstallDepsOptions, params: string[]): Promise<void>;
